summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-19 22:50:36 +0000
committerJim Meyering <jim@meyering.net>2002-04-19 22:50:36 +0000
commitf2bb69ebb0b227c1a8030ebc588460074c877b47 (patch)
tree087a37a0e4849d47ab06acb46101123627df644b
parent0129239343f6dd4daa3fae1ebf5be071f6317e86 (diff)
downloadcoreutils-f2bb69ebb0b227c1a8030ebc588460074c877b47.tar.xz
Use this:
(exit $fail); exit not this: exit $fail
-rwxr-xr-xtests/rm/deep-12
-rwxr-xr-xtests/rm/f-12
-rwxr-xr-xtests/rm/hash2
-rwxr-xr-xtests/rm/i-12
-rwxr-xr-xtests/rm/ir-12
-rwxr-xr-xtests/rm/r-22
-rwxr-xr-xtests/rm/r-32
-rwxr-xr-xtests/rm/sunos-12
8 files changed, 8 insertions, 8 deletions
diff --git a/tests/rm/deep-1 b/tests/rm/deep-1
index 44d7c9407..fc000f2ca 100755
--- a/tests/rm/deep-1
+++ b/tests/rm/deep-1
@@ -45,4 +45,4 @@ echo done
# Make sure all of $tmp was deleted.
test -d $tmp && fail=1
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/f-1 b/tests/rm/f-1
index da79b7229..4e72f575c 100755
--- a/tests/rm/f-1
+++ b/tests/rm/f-1
@@ -23,4 +23,4 @@ fi
fail=0
rm -f $tmp/no-such-file || fail=1
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/hash b/tests/rm/hash
index 25d92f5a0..505cb9bd2 100755
--- a/tests/rm/hash
+++ b/tests/rm/hash
@@ -37,4 +37,4 @@ fail=0
rm -r t || fail=1
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/i-1 b/tests/rm/i-1
index 099c1bd95..b0b90ce3a 100755
--- a/tests/rm/i-1
+++ b/tests/rm/i-1
@@ -36,4 +36,4 @@ test -f $tmp/a && fail=1
rm -rf $tmp
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/ir-1 b/tests/rm/ir-1
index 19a875290..c127a1cdf 100755
--- a/tests/rm/ir-1
+++ b/tests/rm/ir-1
@@ -54,4 +54,4 @@ esac
rm -rf $tmp $test.I
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/r-2 b/tests/rm/r-2
index f341b303b..f4ddeb650 100755
--- a/tests/rm/r-2
+++ b/tests/rm/r-2
@@ -47,4 +47,4 @@ fi
# Compare expected and actual output.
cmp t/E t/O || fail=1
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/r-3 b/tests/rm/r-3
index 96cb8844a..1a5c07313 100755
--- a/tests/rm/r-3
+++ b/tests/rm/r-3
@@ -39,4 +39,4 @@ fail=0
rm -rf $tmp || fail=1
test -d $tmp && fail=1
-exit $fail
+(exit $fail); exit
diff --git a/tests/rm/sunos-1 b/tests/rm/sunos-1
index 0cb731114..e00a61baa 100755
--- a/tests/rm/sunos-1
+++ b/tests/rm/sunos-1
@@ -35,4 +35,4 @@ $RM -r '' > /dev/null 2>&1 && fail=1
cd ..
rm -rf $tmp
-exit $fail
+(exit $fail); exit